For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all deposits
        • GETGet a deposit by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManDeposits

Get all deposits

GET
/v1/deposits/
GET
/v1/deposits/
$curl https://api.propexo.com/v1/deposits/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "c9e06f9e-a8fa-4e5f-9209-ef75a5dcb958",
18 "x_property_id": "6c5e07e5-680a-41e3-8fa4-dbdb5cc12d1e",
19 "x_resident_id": "8bbcd579-5e28-4272-b883-f04fa16742d2",
20 "x_building_id": null,
21 "x_deposit_type": "Pet",
22 "x_lease_id": "d0bd3c68-e14e-4b63-b74a-0076d71fe7ad",
23 "x_location_id": null,
24 "amount_charged_in_cents": 2820,
25 "amount_paid_in_cents": 2820,
26 "amount_refunded_in_cents": 100000,
27 "notes": null,
28 "refund_amount_due_in_cents": 2820,
29 "custom_data": {},
30 "integration_data": {},
31 "integration_id": "clwh5u07w000508me66sfh3um",
32 "integration_vendor": "RESMAN",
33 "lease_id": "clx8k9m2n0000qrstuvwxyz01",
34 "resident_id": "clx8k9m2n0001qrstuvwxyz02",
35 "property_id": "clwi5xiix000008l6ctdgafyh"
36 }
37 ]
38}
Get all deposits
Was this page helpful?
Previous

Get a deposit by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
resident_idstringOptional
The Propexo unique identifier for the resident
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
x_building_idstringOptional

The external ID of the building (not necessarily the property) from the integration vendor

x_property_idstringOptional
The external ID of the property from the integration vendor
lease_idstringOptional
The Propexo unique identifier for the lease
refund_is_dueboolean or stringOptional
Whether the refund is due for the deposit

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error